Edit the given warehouse transfer transaction.
curl --request POST \
--url https://api.example.com/api/warehouse-transfers/{id} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--header 'organization-id: <organization-id>' \
--data '
{
"fromWarehouseId": 1,
"toWarehouseId": 2,
"date": "2021-01-01",
"transactionNumber": "123456",
"transferInitiated": false,
"transferDelivered": false,
"entries": [
{
"index": 1,
"itemId": 1,
"description": "This is a description",
"quantity": 100,
"cost": 100
}
]
}
'import requests
url = "https://api.example.com/api/warehouse-transfers/{id}"
payload = {
"fromWarehouseId": 1,
"toWarehouseId": 2,
"date": "2021-01-01",
"transactionNumber": "123456",
"transferInitiated": False,
"transferDelivered": False,
"entries": [
{
"index": 1,
"itemId": 1,
"description": "This is a description",
"quantity": 100,
"cost": 100
}
]
}
headers = {
"Authorization": "<authorization>",
"organization-id": "<organization-id>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: '<authorization>',
'organization-id': '<organization-id>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
fromWarehouseId: 1,
toWarehouseId: 2,
date: '2021-01-01',
transactionNumber: '123456',
transferInitiated: false,
transferDelivered: false,
entries: [
{
index: 1,
itemId: 1,
description: 'This is a description',
quantity: 100,
cost: 100
}
]
})
};
fetch('https://api.example.com/api/warehouse-transfers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Warehouse Transfers
Edit the given warehouse transfer transaction.
POST
/
api
/
warehouse-transfers
/
{id}
Edit the given warehouse transfer transaction.
Headers
Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.
Example:
"Bearer bc_1234567890abcdef"
Required if Authorization is a JWT token. The organization ID to operate within.
Path Parameters
Body
application/json
The id of the warehouse to transfer from
Example:
1
The id of the warehouse to transfer to
Example:
2
The date of the warehouse transfer
Example:
"2021-01-01"
The transaction number of the warehouse transfer
Example:
"123456"
Whether the warehouse transfer has been initiated
Example:
false
Whether the warehouse transfer has been delivered
Example:
false
The entries of the warehouse transfer
Example:
[ { "index": 1, "itemId": 1, "description": "This is a description", "quantity": 100, "cost": 100 } ]
Response
200
The warehouse transfer transaction has been edited successfully.
⌘I